gcc-defaults-ports (1.229ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Sep 2025 01:48:39 +0200

gcc-defaults-ports (1.229) unstable; urgency=medium

  * Build gdc and libphobos packages for sparc64.
  * Re-add m68k as a gnat arch.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Sep 2025 18:02:14 +0200

gcc-defaults-ports (1.225) unstable; urgency=medium

  * Fix mod-version computation (Helmut Grohne). Addresses: #1107486.
  * Depend on the native gfortran-N (Helmut Grohne).
  * Build libgphobos-dev on ppc64el.
  * Bump versions to 15.2 and 14.3.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Sep 2025 09:59:23 +0200

gcc-defaults-ports (1.224ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2025 07:15:57 +0200

gcc-defaults-ports (1.224) experimental; urgency=medium

  * Build the gcc-offload-nvptx package also on arm64.
  * Bump version to 15.1.
  * Build-depend on gfortran-N and use dpkg-query to access the
    Fortran module version. Addresses: #1104504.
  * Add packages for gcobol and ga68.
  * Remove packages for kfreebsd, ia64 and or1k.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2025 16:23:38 +0200

gcc-defaults-ports (1.223) experimental; urgency=medium

  * Default to GCC 15.
  * Don't build gnat packages on m68k, ftbfs in 15.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Feb 2025 14:29:23 +0100

gcc-defaults-ports (1.220) unstable; urgency=medium

  * Bump versions to 14.2.
  * Fix Multi-Arch coinstallability of *-for-host packages.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Oct 2024 10:56:06 +0200

gcc-defaults-ports (1.219ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Jul 2024 11:08:34 +0200

gcc-defaults-ports (1.219) unstable; urgency=medium

  * Default to GCC 14.
  * Build gdc and gm2 packages for loong64. Closes: #1069714,
  * Bump versions to 14.1 and 13.3.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Jul 2024 17:44:58 +0200

gcc-defaults-ports (1.213) unstable; urgency=medium

  * Bump version to 13.2.1. Closes: #1062207.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2024 19:39:10 +0100

gcc-defaults-ports (1.212) unstable; urgency=medium

  * Merge changes from gcc-defaults 1.214.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2024 14:25:26 +0100

gcc-defaults-ports (1.209ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 13:48:46 +0100

gcc-defaults-ports (1.209) unstable; urgency=medium

  * Build armel packages from the ports package.
  * Build release compilers also on s390x.
  * Build ppc64 packages on ppc64el. Closes: #1052251.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 13:41:27 +0100

gcc-defaults-ports (1.208) unstable; urgency=medium

  * Bump version to 13.2.1.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Aug 2023 17:17:47 +0200

gcc-defaults-ports (1.207ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Aug 2023 15:11:10 +0200

gcc-defaults-ports (1.207) unstable; urgency=medium

  * Build more cross packages on ppc64el.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Aug 2023 15:05:44 +0200

gcc-defaults-ports (1.206) unstable; urgency=medium

  * Bump GCC 13 version to 13.2.0.
  * Build alpha hppa m68k powerpc sh4 sparc64 cross packages on arm64
    and ppc64el.  Closes: #969195.
  * Build riscv64 packages from this source package.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Aug 2023 01:01:02 +0200

gcc-defaults-ports (1.205ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Jul 2023 15:03:27 +0200

gcc-defaults-ports (1.205) unstable; urgency=medium

  * Default to GCC 13.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2023 14:47:50 +0200

gcc-defaults-ports (1.204ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Feb 2023 12:59:57 +0100

gcc-defaults-ports (1.204) unstable; urgency=medium

  * Provide an unversioned lto-dump binary.
  * Remove obsolete parts from maintainer scripts.
  * Fix control file generation for not-built gdc packages.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Jan 2023 07:59:17 +0100

gcc-defaults-ports (1.203) unstable; urgency=medium

  * Don't build gdc-arc-linux-gnu and gccgo-arc-linux-gnu.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Oct 2022 09:48:13 +0200

gcc-defaults-ports (1.202) unstable; urgency=medium

  * Build packages for arc-linux-gnu.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Oct 2022 11:46:44 +0200

gcc-defaults-ports (1.201ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Aug 2022 10:34:20 +0200

gcc-defaults-ports (1.201) unstable; urgency=medium

  * Stop building gdc on alpha, m68k, sh4 and sparc64.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Aug 2022 10:19:40 +0200

gcc-defaults-ports (1.200) unstable; urgency=medium

  * Default to GCC 12.
  * Bump GCC 12 version to 12.2.0.
  * Bump GCC 11 version to 11.3.0.
  * Stop building gccbrig, removed in GCC 12.
  * Bump the gcc-N-base build dependency.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Aug 2022 10:39:29 +0200

gcc-defaults-ports (1.191ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Feb 2022 12:16:17 +0100

gcc-defaults-ports (1.191) unstable; urgency=medium

  * Default to GCC 11.
  * Bump GCC 10 version to 10.3.0.
  * Bump GCC 11 version to 11.2.0.
  * Also don't build the gccgo-doc package when not building gccgo.
    LP: #1562598.
  * d/rules: Factor-out mips* architectures into macros (Yunqiang Su).
  * Stop building the cross pkg-config packages for Ubuntu.
  * Drop references to powerpcspe.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Oct 2021 08:34:01 +0200

gcc-defaults-ports (1.190ubuntu1) hirsute; urgency=medium

  * Bump GCC 10 version to 10.3.0.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Apr 2021 09:26:22 +0200

gcc-defaults-ports (1.190) unstable; urgency=medium

  * Bump GCC 10 version to 10.2.1.
  * Bump standards version.
  * Add conflicts to GCC 12 cross packages.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Jan 2021 22:29:24 +0100

gcc-defaults-ports (1.189ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Sep 2020 11:58:57 +0200

gcc-defaults-ports (1.189) unstable; urgency=medium

  * Bump GCC 10 version to 10.2.0.
  * Fix some (new questionable) lintian warnings.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Sep 2020 11:44:39 +0200

gcc-defaults-ports (1.188ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2020 13:33:29 +0200

gcc-defaults-ports (1.188) unstable; urgency=medium

  * Bump GCC 10 version to 10.1.0.
  * Bump GCC 9 version to 9.3.0.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jul 2020 16:31:48 +0200

gcc-defaults-ports (1.187) experimental; urgency=medium

  * Default to GCC 10.
  * Build gm2 packages on x32.
  * Build a gcc-offload-amdgcn package.
  * Fix some lintian warnings.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2019 15:54:21 +0100

gcc-defaults-ports (1.185ubuntu2) focal; urgency=medium

  * Bump GCC 9 version to 9.3.0.
  * Default gccgo, gdc, gm2 to GCC 10.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2020 15:25:53 +0100

gcc-defaults-ports (1.185ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Sep 2019 17:52:23 +0200

gcc-defaults-ports (1.185) unstable; urgency=medium

  * Don't generate amd64 cross package in -ports and -mipsen sources.
  * Avoid building some cross gm2 dependency packages.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Aug 2019 21:30:30 +0200

gcc-defaults-ports (1.184ubuntu3) eoan; urgency=medium

  * Stop building the mipsel and mips64el cross packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Sep 2019 13:54:38 +0200

gcc-defaults-ports (1.184ubuntu2) eoan; urgency=medium

  * Avoid building some cross gm2 dependency packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Aug 2019 15:18:27 +0200

gcc-defaults-ports (1.184ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Aug 2019 09:33:02 +0200

gcc-defaults-ports (1.184) unstable; urgency=medium

  * Build gm2 packages.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 23:19:19 +0200

gcc-defaults-ports (1.183) unstable; urgency=medium

  * Default to GCC 9 (except for powerpcspe).
  * Bump GCC 9 version to 9.2.1.
  * Build libphobos-dev on more targets.
  * Bump standards version.
  * Build riscv64 packages on arm64 and ppc64el. Closes: #932394.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Aug 2019 19:14:15 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog cpp-x86-64-linux-gnux32`.
